# coding: utf-8

"""
    VMware Aria Automation Assembler IaaS API

    IAAS API is a RESTful service, which allows users to execute provisioning related UI actions via an API.  This page describes the RESTful APIs for IAAS API. The APIs facilitate CRUD operations on the various resources and entities used throughout VMware Aria Automation Assembler(Cloud Accounts, Cloud zones, Computes, Mappings, etc.) and allows operations on them (creating a cloud account, patching a machine, creating image progile, etc.).  The APIs that list collections of resources also support OData like implementation. Below query params can be used across different IAAS API endpoints  Example: 1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.     ```/iaas/api/cloud-accounts?$orderby=name%20desc```  2. `$top` -  number of records you want to get.     ```/iaas/api/cloud-accounts?$top=20```  3. `$skip` -  number of records you want to skip.      ```/iaas/api/cloud-accounts?$skip=10```  4. `$select` - select a subset of properties to include in the response.        ```/project-service/api/projects?$top=10&$skip=2```  5. `$filter` -  filter the results by a specified predicate expression. Operators: eq, ne, and, or.\\     ```/iaas/api/cloud-accounts?$filter=name%20eq%20'ABC*'``` - name starts with 'ABC'\\     ```/iaas/api/cloud-accounts?$filter=name%20eq%20'*ABC*'``` - name contains 'ABC'\\     ```/iaas/api/cloud-accounts?$filter=name%20eq%20'*ABC'``` - name ends with 'ABC'\\     /iaas/api/projects and /iaas/api/deployments support different format for partial match:\\     ```/iaas/api/projects?$filter=startswith(name, 'ABC')``` - name starts with 'ABC'\\     ```/iaas/api/projects?$filter=substringof('ABC', name``` - name contains 'ABC'\\     ```/iaas/api/projects?$filter=endswith(name, 'ABC')``` - name ends with 'ABC'\\     ```/iaas/api/cloud-accounts?$filter=name%20ne%20'example-cloud-account'%20or%20customProperties.isExternal%20eq%20'false'```  6. `$count` -  flag which when specified, regardless of the assigned value, shows the total number of records. If the collection has a filter it shows the number of records matching the filter.\\     ```/iaas/api/cloud-accounts?$count=true```   # noqa: E501

    OpenAPI spec version: 2021-07-15
    Contact: sales@vmware.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class IaasapinamingProjects(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'id': 'str',
        'project_id': 'str',
        'org_id': 'str',
        'project_name': 'str',
        'active': 'bool',
        'default_org': 'bool'
    }

    attribute_map = {
        'id': 'id',
        'project_id': 'projectId',
        'org_id': 'orgId',
        'project_name': 'projectName',
        'active': 'active',
        'default_org': 'defaultOrg'
    }

    def __init__(self, id=None, project_id=None, org_id=None, project_name=None, active=None, default_org=None):  # noqa: E501
        """IaasapinamingProjects - a model defined in Swagger"""  # noqa: E501
        self._id = None
        self._project_id = None
        self._org_id = None
        self._project_name = None
        self._active = None
        self._default_org = None
        self.discriminator = None
        if id is not None:
            self.id = id
        if project_id is not None:
            self.project_id = project_id
        if org_id is not None:
            self.org_id = org_id
        if project_name is not None:
            self.project_name = project_name
        if active is not None:
            self.active = active
        if default_org is not None:
            self.default_org = default_org

    @property
    def id(self):
        """Gets the id of this IaasapinamingProjects.  # noqa: E501


        :return: The id of this IaasapinamingProjects.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this IaasapinamingProjects.


        :param id: The id of this IaasapinamingProjects.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def project_id(self):
        """Gets the project_id of this IaasapinamingProjects.  # noqa: E501


        :return: The project_id of this IaasapinamingProjects.  # noqa: E501
        :rtype: str
        """
        return self._project_id

    @project_id.setter
    def project_id(self, project_id):
        """Sets the project_id of this IaasapinamingProjects.


        :param project_id: The project_id of this IaasapinamingProjects.  # noqa: E501
        :type: str
        """

        self._project_id = project_id

    @property
    def org_id(self):
        """Gets the org_id of this IaasapinamingProjects.  # noqa: E501


        :return: The org_id of this IaasapinamingProjects.  # noqa: E501
        :rtype: str
        """
        return self._org_id

    @org_id.setter
    def org_id(self, org_id):
        """Sets the org_id of this IaasapinamingProjects.


        :param org_id: The org_id of this IaasapinamingProjects.  # noqa: E501
        :type: str
        """

        self._org_id = org_id

    @property
    def project_name(self):
        """Gets the project_name of this IaasapinamingProjects.  # noqa: E501


        :return: The project_name of this IaasapinamingProjects.  # noqa: E501
        :rtype: str
        """
        return self._project_name

    @project_name.setter
    def project_name(self, project_name):
        """Sets the project_name of this IaasapinamingProjects.


        :param project_name: The project_name of this IaasapinamingProjects.  # noqa: E501
        :type: str
        """

        self._project_name = project_name

    @property
    def active(self):
        """Gets the active of this IaasapinamingProjects.  # noqa: E501


        :return: The active of this IaasapinamingProjects.  # noqa: E501
        :rtype: bool
        """
        return self._active

    @active.setter
    def active(self, active):
        """Sets the active of this IaasapinamingProjects.


        :param active: The active of this IaasapinamingProjects.  # noqa: E501
        :type: bool
        """

        self._active = active

    @property
    def default_org(self):
        """Gets the default_org of this IaasapinamingProjects.  # noqa: E501


        :return: The default_org of this IaasapinamingProjects.  # noqa: E501
        :rtype: bool
        """
        return self._default_org

    @default_org.setter
    def default_org(self, default_org):
        """Sets the default_org of this IaasapinamingProjects.


        :param default_org: The default_org of this IaasapinamingProjects.  # noqa: E501
        :type: bool
        """

        self._default_org = default_org

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(IaasapinamingProjects, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, IaasapinamingProjects):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
